Skip to main content
`Ctrl`+`K`

# SNESFASSetCycles

Sets the number of `SNESFAS` multigrid cycles to use each time a grid is visited. Use `SNESFASSetCyclesOnLevel()` for more complicated cycling.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetCycles(SNES snes, PetscInt cycles)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- cycles - the number of cycles – 1 for V-cycle, 2 for W-cycle

## Options Database Key

- -snes_fas_cycles (1|2) - 1 for V-cycle, 2 for W-cycle

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetCyclesOnLevel()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages